#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           ghostwriter
Version: 24.08.1
Release:        %mkrel %{rel}
Summary:        A distraction-free Markdown editor
Group:          Graphical desktop/KDE
License:        GPL-3.0-or-later
URL:            https://ghostwriter.kde.org
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Concurrent)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6WebChannel)
BuildRequires:  cmake(Qt6WebEngineWidgets)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Sonnet)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  pkgconfig(hunspell)

#Recommends:     multimarkdown

%description
ghostwriter is a text editor for Markdown, which is a plain text
markup format. For more information about Markdown, please visit John
Gruber’s website at http://www.daringfireball.net. ghostwriter
provides a relaxing, distraction-free writing environment.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf6_bindir}/ghostwriter
%{_kf6_applicationsdir}/org.kde.ghostwriter.desktop
%{_kf6_metainfodir}/org.kde.ghostwriter.metainfo.xml
%{_kf6_iconsdir}/hicolor/*/apps/ghostwriter.*
%{_kf6_mandir}/man1/ghostwriter.1*

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt --with-man


%changelog
* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097331
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087534
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085257
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073138
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069728
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058538
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045084
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037582
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033712
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2025055
- New version 24.01.85

* Sat Nov 18 2023 neoclust <neoclust> 24.01.75-1.mga10
+ Revision: 2007635
- New version 24.01.75

* Sun Sep 24 2023 daviddavid <daviddavid> 23.08.1-1.mga10
+ Revision: 1989994
- New version 23.08.1

* Tue May 30 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1959731
- initial package ghostwriter

